      SUBROUTINE GSCOL(I)
      INCLUDE 'Parametres.f'
C
      IF (IPOSTSCRIPT.EQ.1) THEN
        IF (HI_PLANE.EQ.0) THEN
          II = 7
        ELSE
          II = I
        ENDIF
        IF (II.EQ.ICOUL_COURANTE) THEN
          RETURN
        ELSE
          ICOUL_COURANTE = II
          IF (IPSEUDO.NE.0) THEN
            IF (II.GT.NBCOLDEBASE2
     &.and..not.couleurtrouvee(ii)) CALL CHERCHELACOUL(II)
          ENDIF
          CALL x11loadcolor(ICOUL_COURANTE)
        ENDIF
      ELSEIF(IPOSTSCRIPT.NE.-1) THEN
        ICOUL_COURANTE = I
        ICOUL_PEND = I
        COULEUR_COURANTE(1) = TABLE_ROUGE(I)
        COULEUR_COURANTE(2) = TABLE_VERT (I)
        COULEUR_COURANTE(3) = TABLE_BLEU (I)
      ELSE
        ICOUL_COURANTE = I
C
c les "cc" suppriment l'option grise pour les lignes
c les traits sont toujours noirs en NB il suffit donc de faire
c une seule fois   write(ilaser_file,'(a)') '0 g' dans inprfd
c
c
cc        if (i.gt.15.and.nbcouleurs.gt.1) then
cc          xgris = real(i-16)/real(nbcouleurs-1)
cc          write(ilaser_file,'(f4.2,a)') xgris,' g'
cc        else
cccc          write(ilaser_file,'(a)') '0 g'
cc        endif
      ENDIF
      END
